<?php

namespace Modules\User\Enums;


Enum UserRoleEnum: string
{
    case SUPER_ADMIN = 'super_admin';

    case ADMIN = 'admin';

    case SUB_ADMIN = 'sub_admin';

    case USER = 'user';

    case STORE_ADMIN = 'store_admin';

    case STORE_USER = 'store_user';

    public static function admins()
    {
        return [
            Self::SUPER_ADMIN->value,
            Self::ADMIN->value,
            Self::SUB_ADMIN->value
        ];
    }
    public static function users()
    {
        return [
            Self::USER->value,
        ];
    }
    public static function stores()
    {
        return [
            Self::STORE_ADMIN->value,
            Self::STORE_USER->value,
        ];
    }
}
